% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_fileBrowserDialog.R
\name{updateFileBrowserInput}
\alias{updateFileBrowserInput}
\title{Change the value of a \code{\link{fileBrowserInput}()} on the client}
\source{
\url{https://github.com/wleepang/shiny-directory-input}
}
\usage{
updateFileBrowserInput(session, id, ..., value = NULL, ask = FALSE)
}
\arguments{
\item{session}{Shiny session}

\item{id}{Character: identifier}

\item{...}{Additional arguments passed to \code{\link{fileBrowser}()}. Only
used if \code{value = NULL}.}

\item{value}{Character: file or directory path}

\item{ask}{Boolean: ask user to pick a file using file browser?}
}
\value{
\code{NULL} (function is only used to modify the Shiny session's
state or internal variables)
}
\description{
Change the value of a \code{\link{fileBrowserInput}()} on the client
}
\details{
Sends a message to the client, telling it to change the value of the input
object. For \code{\link{fileBrowserInput}()} objects, this changes the value
displayed in the text-field and triggers a client-side change event. A
directory selection dialogue is not displayed.
}
\keyword{internal}
